#ifndef STAT_H_
#define STAT_H_


#include <utils/eoStat.h>


template <class EOT>
class eoCPTEO_V1Stat : public eoStat<EOT, double>
{
public :
    typedef typename EOT::Fitness Fitness;


  eoCPTEO_V1Stat(std::string _description = "eoCPTEO_V1Stat ") :
    
    eoStat<EOT, double>(0.0, _description)
	{
    
  	}

    void operator()(const eoPop<EOT>& _pop)
    {
      double tmpStat;
   		
      eoStat<EOT,double>::value() = tmpStat;     
      
    }

  virtual std::string className(void) const { return "eoCPTEO_V1Stat"; }
  private :

};

#endif /*STAT_H_*/
